org.apache.ignite.internal.processors.datastructures

## Class GridCacheInternalKeyImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.datastructures.GridCacheInternalKeyImpl

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable, GridCacheInternal, GridCacheInternalKey

    public class GridCacheInternalKeyImpl
    extends Object
    implements GridCacheInternalKey, Externalizable, Cloneable

Key is used for caching cache data structures.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridCacheInternalKeyImpl()` Empty constructor required for `Externalizable`.
`GridCacheInternalKeyImpl(String name)` Default constructor.

### Method Summary

Methods
`Object` `clone()`
`boolean` `equals(Object obj)`
`int` `hashCode()`
`String` `name()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheInternalKeyImpl

    public GridCacheInternalKeyImpl(String name)

Default constructor.

Parameters:
  `name` - - Name of cache data structure.

#### GridCacheInternalKeyImpl

    public GridCacheInternalKeyImpl()

Empty constructor required for `Externalizable`.

### Method Detail

#### name

    public String name()

Specified by:
  `name` in interface `GridCacheInternalKey`
Returns:
  Name of cache data structure.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### clone

    public Object clone()
                 throws CloneNotSupportedException

Overrides:
  `clone` in class `Object`
Throws:
  `CloneNotSupportedException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017